<?php
if($this->session->userdata('is_logged_in')===FALSE){
    redirect('login');
}

if($id_pemohon==1 OR $id_pemohon==2){
    $url = base_url("resources/template/new_template/peradilan_umum/pidana/penetapan/PEN_KPN_DIVERSI_BERHASIL_DI_PENYIDIKAN_ATAU_PENUNTUTAN.rtf");
}elseif($id_pemohon==3){
    $url = base_url("resources/template/new_template/peradilan_umum/pidana/penetapan/PEN_KPN_DIVERSI_BERHASIL_DI_TINGKAT_PENGADILAN.rtf");
}

$Template = file_get_contents($url);

$namapn = '...........';
$namaketuapn = '............';
$namakota = '..............';
$namawakilpn = '...............';
$PlhKetua = '...............';
$PltKetua = '...............';

foreach ($datapengadilan->result() as $row) {
    $namapn = $this->templatehelper->standradnaming($row->NamaPN);
    $namaketuapn = $this->templatehelper->standradnaming($row->KetuaPNNama);
    $namawakilpn = $this->templatehelper->standradnaming($row->WakilKetuaPNNama);
    $PlhKetua = $this->templatehelper->standradnaming($row->PlhKetua);
    $PltKetua = $this->templatehelper->standradnaming($row->PltKetua);
    $namakota =str_replace("Pengadilan Negeri ",'',$namapn);
}

$Template = str_replace("#satker#",''.$namapn.'',$Template);
$Template = str_replace('#nama_kota#',''.$namakota.'',$Template);
if ($ditetapkanoleh==1) {
    $Template = str_replace('#atasnama#','Ketua',$Template);
    $Template = str_replace('#ketuapn#',''.$namaketuapn.'',$Template);
    $Template = str_replace('#jabatan#','',$Template);
}elseif($ditetapkanoleh==2) {
    $Template = str_replace('#atasnama#','a.n Ketua',$Template);
    $Template = str_replace('#ketuapn#',''.$namawakilpn.'',$Template);
    $Template = str_replace('#jabatan#','Wakil Ketua',$Template);
}elseif($ditetapkanoleh==5) {
    $Template = str_replace('#atasnama#','a.n Ketua',$Template);
    $Template = str_replace('#ketuapn#',''.$PlhKetua.'',$Template);
    $Template = str_replace('#jabatan#','Hakim',$Template);
}elseif($ditetapkanoleh==7) {
    $Template = str_replace('#atasnama#','a.n Ketua',$Template);
    $Template = str_replace('#ketuapn#',''.$PltKetua.'',$Template);
    $Template = str_replace('#jabatan#','Hakim',$Template);
}

if($detil_diversi->num_rows>0){
    foreach ($detil_diversi->result() as $row) {
        $no_diversi               = $row->no_diversi;
        $tgl_permohonan_diversi   = $this->templatehelper->convertKeTglIndo($row->tgl_permohonan_diversi);
        $pemohon_diversi          = $row->pemohon_diversi;
        $no_reg_penyidik          = !empty($row->no_reg_penyidik)?$row->no_reg_penyidik:'......';
        $no_reg_penuntut_umum     = !empty($row->no_reg_penuntut_umum)?$row->no_reg_penuntut_umum:'......';
        $no_perkara               = $row->no_perkara;
        $no_berita_acara          = !empty($row->no_berita_acara)?$row->no_berita_acara:'......';
        $tgl_berita_acara         = !empty($row->tgl_berita_acara)?$this->templatehelper->convertKeTglIndo($row->tgl_berita_acara):'......';
        $pihak_penyidik           = !empty($row->pihak_penyidik)?$row->pihak_penyidik:'......';
        $pihak_penuntut           = !empty($row->pihak_penuntut)?$row->pihak_penuntut:'......';
        $tgl_kesepakatan_diversi  = !empty($row->tgl_kesepakatan_diversi)?$this->templatehelper->convertKeTglIndo($row->tgl_kesepakatan_diversi):'......';
        $isi_kesepakatan_diversi  = !empty($row->isi_kesepakatan_diversi)?$this->templatehelper->cleanHtmlTagSpecial($row->isi_kesepakatan_diversi):'......';
        $tanggal_penetapan_kpn    = !empty($row->tanggal_penetapan_kpn)?$this->templatehelper->convertKeTglIndo($row->tanggal_penetapan_kpn):'......';
    }
    if($pemohon_diversi==1){
        $asal_diversi = 'Penyidik';
        $nomor_laporan_diversi = $no_reg_penyidik;
    }elseif($pemohon_diversi==2){
        $asal_diversi = 'Penuntut';
        $nomor_laporan_diversi = $no_reg_penuntut_umum;
    }elseif($pemohon_diversi==3){
        $asal_diversi = 'Hakim';
        $nomor_laporan_diversi = $no_perkara;
    }
}else{
    $no_diversi               = '...........';
    $tgl_permohonan_diversi   = '...........';
    $asal_diversi             = '...........';
    $nomor_laporan_diversi    = '...........';    
    $no_berita_acara          = '...........';
    $tgl_berita_acara         = '...........';
    $pihak_penyidik           = '...........';
    $pihak_penuntut           = '...........';
    $tgl_kesepakatan_diversi  = '...........';
    $isi_kesepakatan_diversi  = '...........';
    $tanggal_penetapan_kpn    = '...........';
}

$Template = str_replace('#no_diversi#',''.$no_diversi.'',$Template);
$Template = str_replace('#asal_diversi#',''.$asal_diversi.'',$Template);
$Template = str_replace('#nomor_laporan_diversi#',''.$nomor_laporan_diversi.'',$Template);
$Template = str_replace('#tgl_permohonan_diversi#',''.$tgl_permohonan_diversi.'',$Template);
$Template = str_replace('#no_berita_acara#',''.$no_berita_acara.'',$Template);
$Template = str_replace('#tgl_berita_acara#',''.$tgl_berita_acara.'',$Template);
$Template = str_replace('#tgl_kesepakatan_diversi#',''.$tgl_kesepakatan_diversi.'',$Template);
$Template = str_replace('#isi_kesepakatan_diversi#',''.$isi_kesepakatan_diversi.'',$Template);
$Template = str_replace('#tanggal_penetapan_kpn#',''.$tanggal_penetapan_kpn.'',$Template);

$identitas ='';
if($data_anak->num_rows()>0){
    foreach ($data_anak->result() as $row) {
        if($row->urutan==1){
            $namaterdakwa       = $this->templatehelper->standradnaming($row->nama_anak);
            $tempatlahir        = !empty($row->tempat_lahir)?$this->templatehelper->standradnaming($row->tempat_lahir):'...........';
            $umur               = !empty($row->umur)?$row->umur:'.....';
            $tanggal_lahir      = !empty($row->tanggal_lahir)?$this->templatehelper->convertKeTglIndo($row->tanggal_lahir):'..........';
            $jenis_kelamin      = $row->jenis_kelamin;
            $kebangsaan         = !empty($row->warga_negara)?$row->warga_negara:'..........';
            $alamat             = $this->templatehelper->standradnaming($row->alamat_anak);
            $agama              = !empty($row->agama_nama)?$row->agama_nama:'..........';
            $pekerjaan          = $this->templatehelper->standradnaming($row->pekerjaan);
        }        
    }
    if($data_anak->num_rows>1){
        $dkk = '; dan kawan-kawan';
        $nama_anak = $namaterdakwa.' dkk';
    }else{
        $dkk = '';
        $nama_anak = $namaterdakwa;
    }
    if($jenis_kelamin=='P'){
        $sex = 'Perempuan';
    }elseif($jenis_kelamin=='L'){
        $sex = 'Laki-laki';
    }
    $identitas .='Nama lengkap          \\tab :\\tab '.$namaterdakwa.$dkk.'; \\par '.
                 'Tempat lahir          \\tab :\\tab '.$tempatlahir.'; \\par '.
                 'Umur/tanggal lahir    \\tab :\\tab '.$umur.' / '.$tanggal_lahir.'; \\par '.
                 'Jenis Kelamin         \\tab :\\tab '.$sex.'; \\par '.
                 'Kebangsaan            \\tab :\\tab '.$kebangsaan.'; \\par '.
                 'Tempat tinggal        \\tab :\\tab '.$alamat.'; \\par '.
                 'Agama                 \\tab :\\tab '.$agama.'; \\par '.
                 'Pekerjaan             \\tab :\\tab '.$pekerjaan.'; ';
}else{
    $identitas ='Belum ada data';
}

$Template = str_replace('#looping_terdakwa_dkk#','\highlight7'.$identitas.'',$Template);
$Template = str_replace('#nama_anak#',''.$nama_anak.'',$Template);

                        

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"Penetapan-".$no_diversi.".rtf\"");
echo $Template;
?>